# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Sync/SyncHostTypePage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SyncHostTypePage(object):
    def setupUi(self, SyncHostTypePage):
        SyncHostTypePage.setObjectName("SyncHostTypePage")
        SyncHostTypePage.resize(650, 400)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(SyncHostTypePage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox = QtWidgets.QGroupBox(parent=SyncHostTypePage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.ftpRadioButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.ftpRadioButton.setObjectName("ftpRadioButton")
        self.verticalLayout.addWidget(self.ftpRadioButton)
        self.directoryRadioButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.directoryRadioButton.setObjectName("directoryRadioButton")
        self.verticalLayout.addWidget(self.directoryRadioButton)
        self.noneRadioButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.noneRadioButton.setObjectName("noneRadioButton")
        self.verticalLayout.addWidget(self.noneRadioButton)
        self.verticalLayout_2.addWidget(self.groupBox)
        spacerItem = QtWidgets.QSpacerItem(20, 191, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem)

        self.retranslateUi(SyncHostTypePage)
        QtCore.QMetaObject.connectSlotsByName(SyncHostTypePage)
        SyncHostTypePage.setTabOrder(self.ftpRadioButton, self.directoryRadioButton)
        SyncHostTypePage.setTabOrder(self.directoryRadioButton, self.noneRadioButton)

    def retranslateUi(self, SyncHostTypePage):
        _translate = QtCore.QCoreApplication.translate
        SyncHostTypePage.setTitle(_translate("SyncHostTypePage", "Host Type Selection"))
        SyncHostTypePage.setSubTitle(_translate("SyncHostTypePage", "Please select the type of the host to be used for synchronization."))
        self.groupBox.setTitle(_translate("SyncHostTypePage", "Synchronization Host Type"))
        self.ftpRadioButton.setToolTip(_translate("SyncHostTypePage", "Select to use a FTP host"))
        self.ftpRadioButton.setText(_translate("SyncHostTypePage", "FTP"))
        self.directoryRadioButton.setToolTip(_translate("SyncHostTypePage", "Select to use a shared directory"))
        self.directoryRadioButton.setText(_translate("SyncHostTypePage", "Shared Directory"))
        self.noneRadioButton.setToolTip(_translate("SyncHostTypePage", "Select to use no particular host type"))
        self.noneRadioButton.setText(_translate("SyncHostTypePage", "None"))
